# Package groovy.json.internal

Interface Summary
Cache<KEY,VALUE>: Cache
CharacterSource
Value
ValueMap<K,V>

Class Summary
ArrayUtils
BaseJsonParser: Base JSON parser.
ByteScanner
CharBuf
CharScanner
CharSequenceValue
Chr
Dates
Exceptions
FastStringUtils: Internal class for fast processing of Strings during JSON parsing
IO
JsonFastParser: This works in index overlay mode or chop mode.
JsonParserCharArray: Converts an input JSON String into Java objects works with String or char array as input.
JsonParserLax
JsonParserUsingCharacterSource: Converts an input JSON String into Java objects works with String or char array as input.
JsonStringDecoder
LazyMap: This maps only builds once you ask for a key for the first time.
LazyValueMap: This class is important to the performance of the parser.
MapItemValue: This holds a mapping from value key to value value to maximize laziness.
NumberValue
ReaderCharacterSource
SimpleCache<K,V>
ValueContainer
ValueList
ValueMapImpl: This map is for object serialization mainly.

Enum Summary
CacheType
FastStringUtils.StringImplementation
Type

Exception Summary
Exceptions.JsonInternalException